package more.crawler.nmc.configuration;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.ArrayList;
import java.util.List;

/**
 * 内部传输API拦截
 * @author zuo
 * @date 2022/12/9 17:41
 */

@Configuration
public class TransmissionInterceptorConfig implements WebMvcConfigurer {

    @Autowired
    private TransmissionInterceptor transmissionInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        List<String> pathPatterns=new ArrayList<>();
        pathPatterns.add("/transmission/**");
//        pathPatterns.add("/**");
//        List<String> excludePathPatterns=new ArrayList<>();
//        excludePathPatterns.add("/jwt/login");
        registry.addInterceptor(transmissionInterceptor) //添加拦截器
                .addPathPatterns(pathPatterns); //添加拦截url
//                .excludePathPatterns(excludePathPatterns); //添加不拦截url
    }
}

