package more.crawler.nmc.quartz.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author zuo
 * @date 2022/12/7 15:07
 */

@Getter
@Setter
@ToString
@Accessors(chain = true)
public class NmcData {

    @ApiModelProperty(value = "1. 天气形势分析、2. 卫星云图分析、3. 降水量分析、4. 风场分析、5. 气温场分析、6. 能见度分析、7. 雷达图分析")
    private Integer type;

    @ApiModelProperty(value = "层次、高度、类别等信息")
    private String category;

    @ApiModelProperty(value = "数据时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy/MM/dd HH:mm:ss")
    private Date time;

    @ApiModelProperty(value = "图片url")
    private String url;

}
