package more.crawler.nmc.response.exception;

import lombok.Getter;

/**
 * @author YeJR
 * @version 1.0
 * @date 2020/2/19 13:14
 * 异常枚举类型
 */
@Getter
public enum ExceptionCode {

    NOT_LOGIN(401, "用户未登录"),

    NO_PERMISSION(403, "用户无该操作权限"),

    LOGIN_TIMEOUT(408, "用户登录超时"),

    INVALID_USERNAME_PASSWORD(412, "用户名或密码不正确"),

    UPLOAD_FORMAT_ERROR(415, "上传的资源格式不正确"),

    PARAM_ERROR(417, "参数不正确"),

    USER_NAME_EXISTS(417, "该用户名已存在"),

    USER_NOT_EXISTS(417, "不存在该用户"),

    ORG_NAME_DUPLICATION(417, "组织名称不能重复"),

    TEMPLATE_ERROR(417, "导入的模板格式不正确"),

    TEMPLATE_DATA_ERROR(417, "数据错误,同一组织只能有一个联系人"),

    REPEAT_SITE(417, "导入数据中有相同站点(站名和区域都相同)"),

    EMPTY_TABLE(417, "上传文件无数据"),

    FACTOR_NAME_IDENTICAL(417, "上传数据中有物质名称相同的数据"),

    FACTOR_NAME_NONSTANDARD(417, "上传的物质名称非标准名称"),

    INSPECTION_PLAN_IN_PLACE(417, "已有检查计划,不能对其进行修改或删除"),

    EMPTY_ORG_ID(417, "组织不能为空");


    /**
     * 编码
     */
    private int code;

    /**
     * 消息
     */
    private String msg;

    ExceptionCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
