package more.crawler.nmc.response.exception.handler;

import lombok.extern.slf4j.Slf4j;
import more.crawler.nmc.response.ResponseResult;
import more.crawler.nmc.response.exception.MoreException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author YeJR
 * @version 1.0
 * @date 2020/2/19 13:27
 * 异常处理拦截器
 */
@Slf4j
@RestController
@ControllerAdvice
public class MoreExceptionHandler {

    /**
     * 处理定义的异常
     * @param exception
     * @return
     */
    @ExceptionHandler({MoreException.class})
    public ResponseResult handlerMoreException(MoreException exception) {
        log.error(exception.getMsg());
        return ResponseResult.error(exception.getCode(), exception.getMsg());
    }

    /**
     * 处理其他未被捕获的运行时异常
     * @param exception
     * @return
     */
    @ExceptionHandler({RuntimeException.class})
    public ResponseResult handlerException(RuntimeException exception) {
        exception.printStackTrace();
        return ResponseResult.error(exception.getMessage());
    }

}
